=== docs/CMakeLists.txt ===
add_subdirectory(kwallet-query)
