=== debian/changelog ===
kf6-kwallet (6.18.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Ensure that older versions of kwallet-pam cannot be used with
    kf6-kwallet 6.18.0 or newer as kwallet-pam now needs to launch
    ksecretd instead of kwalletd.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Oct 2025 18:41:05 +0200

kf6-kwallet (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:18:06 +0200
