## kf6-kwallet 6.18.0+p24.04+vstable+git20250914.1320

=== CMakeLists.txt ===
--- 
+++ 
@@ -53,7 +53,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.17.0
+    KF 6.18.0
 )
 
 if (WIN32)
