=== debian/changelog ===
kf6-kwallet (6.18.0+p24.04+vstable+git20250914.1320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 13:20:01 +0000
