## kf6-kwallet 6.18.0+p24.04+vstable+git20251006.0110

=== debian/changelog ===
kf6-kwallet (6.18.0+p24.04+vstable+git20251006.0110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 06 Oct 2025 01:10:56 +0000
