## kf6-kwallet 6.19.0+p24.04+vstable+git20251011.0959

=== debian/changelog ===
kf6-kwallet (6.19.0+p24.04+vstable+git20251011.0959-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:59:45 +0000

kf6-kwallet (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:10:53 +0000
