=== debian/control ===
Source: kf6-kwallet
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-knotifications-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               libboost-dev,
               libgcrypt20-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               libqca-qt6-dev,
               libsecret-1-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kwallet
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kwallet.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kwallet
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kwallet
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: libqca-qt6-plugins, libsecret-1-0, ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5wallet-bin (<< 5.115.0-1)
Replaces: libkf5wallet-bin (<< 5.115.0-1),
          libkf6wallet-bin,
          libkf6wallet-data,
          libkf6wallet6,
          libkwalletbackend6-6
Description: Secure and unified container for user passwords.
 Runtime for interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the runtime files for kwallet-framework

Package: kf6-kwallet-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kwallet (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6wallet-dev, libkf6wallet-doc
Description: development files for kwallet-framework
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains development files for kwallet-framework.

Package: libkf6wallet6
Architecture: all
Depends: kf6-kwallet, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkwalletbackend6-6
Architecture: all
Depends: kf6-kwallet, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6wallet-bin
Architecture: all
Depends: kf6-kwallet, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6wallet-data
Architecture: all
Depends: kf6-kwallet, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6wallet-dev
Architecture: all
Depends: kf6-kwallet-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6wallet-doc
Architecture: all
Depends: kf6-kwallet-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
