## kf6-kwallet 6.19.0+p24.04+vunstable+git20251020.0324

=== debian/changelog ===
kf6-kwallet (6.19.0+p24.04+vunstable+git20251020.0324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:24:09 +0000
